Skip to navigation

Add a domain

Adding a domain does not verify it; see Verifying Domains.

Requires the inventory:add API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Request

This endpoint expects an object.
urlstringRequired
Domain or URL to add. It is stored in canonical form.

Response

The domain was already in the workspace.
idstringformat: "uuid"
urlstring
verifiedboolean
verificationMethodenum or null
verifiedViaDomainIdstring or nullformat: "uuid"

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error